Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics
Class OMPoint.Image

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphic
              com.bbn.openmap.omGraphics.OMPoint
                  com.bbn.openmap.omGraphics.OMPoint.Image

All Implemented Interfaces:
  java.lang.Cloneable, OMGeometry, OMGraphicConstants, java.io.Serializable

Enclosing class:
  OMPoint

public static class OMPoint.Image
extends OMPoint

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.OMPoint
`OMPoint.Image`

Field Summary
`protected java.awt.Image` | `image`
`protected int` | `imageX`
`protected int` | `imageY`
`protected boolean` | `useImage`

Fields inherited from class com.bbn.openmap.omGraphics.OMPoint
`DEFAULT_ISOVAL, DEFAULT_RADIUS, lat1, lon1, oval, radius, x, y`

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphic
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`APP_OBJECT_KEY, appObject, ATT_MAP_KEY, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK`

Constructor Summary
`OMPoint.Image(float lat, float lon)` Create an OMPoint at a lat/lon position, with the default radius.
`OMPoint.Image(float lat, float lon, int radius)` Create an OMPoint at a lat/lon position, with the specified radius.
`OMPoint.Image(float lat, float lon, int offsetx, int offsety)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.
`OMPoint.Image(float lat, float lon, int offsetx, int offsety, int radius)` Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.
`OMPoint.Image(int x, int y)` Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.
`OMPoint.Image(int x, int y, int radius)` Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Summary
`boolean` | `generate(Projection proj)` Prepare the rectangle for rendering.
`java.awt.Image` | `getImage()`
`boolean` | `isUseImage()`
`void` | `render(java.awt.Graphics g)` Render the image when useImage is true, or calls super implementation otherwise
`void` | `setImage(java.awt.Image image)`
`void` | `setUseImage(boolean useImage)`
`boolean` | `shouldRenderFill()` Overriding this method will get mouse events to work over any part of the image.

Methods inherited from class com.bbn.openmap.omGraphics.OMPoint
`getLat, getLon, getRadius, getX, getY, hasLineTypeChoice, isOval, set, set, set, setLat, setLon, setOval, setRadius, setX, setY`

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphic
`clone, deselect, distance, getDeclutterType, getDescription, getDescription, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, regenerate, renderLabel, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShape, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, checkAttributeMap, checkAttributeMap, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, draw, fill, getAppObject, getAppObject, getAttribute, getAttributeMap, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, replaceAppObjectWithAttributeMap, setAppObject, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, draw, fill, getAppObject, getAttribute, getAttributes, getLineType, getNeedToRegenerate, getShape, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setVisible`

Field Detail

### image

    protected java.awt.Image image

### useImage

    protected boolean useImage

### imageX

    protected int imageX

### imageY

    protected int imageY

Constructor Detail

### OMPoint.Image

    public OMPoint.Image(float lat,
                         float lon)

  Create an OMPoint at a lat/lon position, with the default radius.

### OMPoint.Image

    public OMPoint.Image(float lat,
                         float lon,
                         int radius)

  Create an OMPoint at a lat/lon position, with the specified radius.

### OMPoint.Image

    public OMPoint.Image(float lat,
                         float lon,
                         int offsetx,
                         int offsety)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the default radius.

### OMPoint.Image

    public OMPoint.Image(float lat,
                         float lon,
                         int offsetx,
                         int offsety,
                         int radius)

  Create an OMPoint at a lat/lon position with a screen X/Y pixel offset, with the specified radius.

### OMPoint.Image

    public OMPoint.Image(int x,
                         int y)

  Put the point at a screen location, marked with a rectangle with edge size DEFAULT_RADIUS * 2 + 1.

### OMPoint.Image

    public OMPoint.Image(int x,
                         int y,
                         int radius)

  Put the point at a screen location, marked with a rectangle with edge size radius * 2 + 1.

Method Detail

### getImage

    public java.awt.Image getImage()

### setImage

    public void setImage(java.awt.Image image)

### isUseImage

    public boolean isUseImage()

### setUseImage

    public void setUseImage(boolean useImage)

### generate

    public boolean generate(Projection proj)

  Prepare the rectangle for rendering.

  Specified by:
    `generate` in interface `OMGeometry`
  Overrides:
    `generate` in class `OMPoint`
  Parameters:
    `proj` - Projection
  Returns:
    true if generate was successful

### render

    public void render(java.awt.Graphics g)

  Render the image when useImage is true, or calls super implementation otherwise

  Overrides:
    `render` in class `OMGraphic`
  Parameters:
    `g` - Graphics2D context to render into.
  See Also:
    `OMGraphic.render(java.awt.Graphics)`

### shouldRenderFill

    public boolean shouldRenderFill()

  Overriding this method will get mouse events to work over any part of the image.

  Overrides:
    `shouldRenderFill` in class `OMGraphic`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details